Bug 839260 - (Agda-stdlib) Review Request: Agda-stdlib - Agda standard library
Review Request: Agda-stdlib - Agda standard library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shakthi Kannan
Fedora Extras Quality Assurance
Ready
:
Depends On: Agda
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-11 07:53 EDT by Jens Petersen
Modified: 2014-02-25 02:51 EST (History)
3 users (show)

See Also:
Fixed In Version: Agda-stdlib-0.7-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-25 02:49:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
shakthimaan: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2012-07-11 07:53:07 EDT
Spec URL: http://petersen.fedorapeople.org/reviews/Agda-stdlib/Agda-stdlib.spec
SRPM URL: http://petersen.fedorapeople.org/reviews/Agda-stdlib/Agda-stdlib-0.6-3.fc17.src.rpm
Description: Standard libraries for the Agda dependently typed language
Fedora Account System Username: petersen
Comment 1 Jens Petersen 2012-07-11 07:58:51 EDT
Note this needs ghc-rpm-macros-0.15.7 or later to build (ie currently
it will only build in rawhide)

http://koji.fedoraproject.org/koji/taskinfo?taskID=4233324 (ghc-rpm-macros-0.15.7-1.fc17)
Comment 2 Jens Petersen 2012-07-11 08:17:55 EDT
A simple usage example:

$ ls -l stdlib
lrwxrwxrwx. 1 petersen petersen 23 Jul 11 15:46 stdlib -> /usr/lib64/Agda-stdlib/
$ cat test.agda
module test where

open import IO

main = run (putStrLn "Hello world!")
$ agda -c -i. -istdlib test.agda
:
:
[91 of 91] Compiling MAlonzo.Code.Qtest ( /home/petersen/pkgreview/Agda/test/MAlonzo/Code/Qtest.hs, /home/petersen/pkgreview/Agda/test/MAlonzo/Code/Qtest.o )
$ ./test
Hello world!
$
Comment 3 Jens Petersen 2012-07-11 20:56:58 EDT
Strictly Agda-stdlib could be noarch since based from Debian
the files should be portable, but the ffi library can't be noarch.

Anyway I moved the stdlib files to datadir and subpackaged the large html docs:

Spec: http://petersen.fedorapeople.org/reviews/Agda-stdlib/Agda-stdlib.spec
SRPM: http://petersen.fedorapeople.org/reviews/Agda-stdlib/Agda-stdlib-0.6-4.fc17.src.rpm
Comment 4 Jens Petersen 2013-06-25 01:17:45 EDT
Updated to 0.7 for Agda-2.3.2+

Spec: http://petersen.fedorapeople.org/reviews/Agda-stdlib/Agda-stdlib.spec
SRPM: http://petersen.fedorapeople.org/reviews/Agda-stdlib/Agda-stdlib-0.7-1.fc18.src.rpm

Note this requires Agda-2.3.2 (in Rawhide) to build, ie
it will not currently build in f19 or earlier releases
since they have Agda-2.3.0.

Rawhide scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5538213
Comment 5 Jens Petersen 2013-11-07 01:14:15 EST
Should build on F19 and F20.
Comment 6 Jens Petersen 2014-02-03 03:10:36 EST
(In reply to Jens Petersen from comment #5)
> Should build on F19 and F20.

(Sorry this remark was vague: I meant that Agda-2.3.2 is there now.)

Exclude ARM since no Agda currently on ARM:

Spec: http://petersen.fedorapeople.org/reviews/Agda-stdlib/Agda-stdlib.spec
SRPM: http://petersen.fedorapeople.org/reviews/Agda-stdlib/Agda-stdlib-0.7-2.fc20.src.rpm

http://koji.fedoraproject.org/koji/taskinfo?taskID=6483015
Comment 7 Shakthi Kannan 2014-02-06 05:44:13 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 6 files have unknown license. Detailed output of
     licensecheck in 839260-Agda-stdlib/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in Agda-
     stdlib-docs
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define cabal_configure_options
     --user
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.

===== EXTRA items =====

[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

Rpmlint
-------
Checking: Agda-stdlib-0.7-1.fc21.x86_64.rpm
          Agda-stdlib-docs-0.7-1.fc21.noarch.rpm
          Agda-stdlib-0.7-1.fc21.src.rpm
Agda-stdlib.x86_64: E: no-binary
Agda-stdlib-docs.noarch: W: spelling-error %description -l en_US stdlibs -> glibbest
3 packages and 0 specfiles checked; 1 errors, 1 warnings.

Rpmlint (installed packages)
----------------------------
# rpmlint Agda-stdlib Agda-stdlib-docs
Agda-stdlib.x86_64: E: no-binary
Agda-stdlib-docs.noarch: W: spelling-error %description -l en_US stdlibs -> glibbest
2 packages and 0 specfiles checked; 1 errors, 1 warnings.
# echo 'rpmlint-done:'

Requires
--------
Agda-stdlib (rpmlib, GLIBC filtered):

Agda-stdlib-docs (rpmlib, GLIBC filtered):

Provides
--------
Agda-stdlib:
    Agda-stdlib
    Agda-stdlib(x86-64)

Agda-stdlib-docs:
    Agda-stdlib-docs

Source checksums
----------------
http://www.cse.chalmers.se/~nad/software/lib-0.7.tar.gz :
  CHECKSUM(SHA256) this package     : 631a33e8e27ead32c85cc92a0a85849744d3b2960ef9675736d54288267ed2fa
  CHECKSUM(SHA256) upstream package : 631a33e8e27ead32c85cc92a0a85849744d3b2960ef9675736d54288267ed2fa

Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 839260
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Package APPROVED.
Comment 8 Jens Petersen 2014-02-09 21:32:16 EST
Thanks for reviewing the package.

Strictly this is not a Haskell package but let me keep it under the SIG for now.

New Package SCM Request
=======================
Package Name: Agda-stdlib
Short Description: Agda standard library
Owners: petersen
Branches: f20 f19 el6
InitialCC: haskell-sig
Comment 9 Jon Ciesla 2014-02-10 08:20:18 EST
Git done (by process-git-requests).
Comment 10 Fedora Update System 2014-02-12 03:24:04 EST
Agda-stdlib-0.7-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/Agda-stdlib-0.7-3.fc19
Comment 11 Fedora Update System 2014-02-12 03:24:18 EST
Agda-stdlib-0.7-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/Agda-stdlib-0.7-3.fc20
Comment 12 Fedora Update System 2014-02-14 02:55:24 EST
Agda-stdlib-0.7-3.fc20 has been pushed to the Fedora 20 testing repository.
Comment 13 Fedora Update System 2014-02-25 02:49:48 EST
Agda-stdlib-0.7-3.fc20 has been pushed to the Fedora 20 stable repository.
Comment 14 Fedora Update System 2014-02-25 02:51:21 EST
Agda-stdlib-0.7-3.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.